<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.6) on Wed Jan 22 16:23:34 CET 2020 -->
<title>Character</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-22">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Character";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">model.characters</a></div>
<h2 title="Class Character" class="title">Class Character</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>model.characters.Character</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="Enemy.html" title="class in model.characters">Enemy</a></code>, <code><a href="PlayerCharacter.html" title="class in model.characters">PlayerCharacter</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">Character</span>
extends java.lang.Object</pre>
<div class="block">The general character class</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#directionView">directionView</a></span></code></th>
<td class="colLast">
<div class="block">The direcion view of the character
 Right by default</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#life">life</a></span></code></th>
<td class="colLast">
<div class="block">Life of the character</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#name">name</a></span></code></th>
<td class="colLast">
<div class="block">Name of the character</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javafx.scene.image.ImageView</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#skin">skin</a></span></code></th>
<td class="colLast">
<div class="block">The skin of the character</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#walk">walk</a></span></code></th>
<td class="colLast">
<div class="block">Indicates whether the character is walking or not
 By default, he don't walk</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../weapons/Weapon.html" title="class in model.weapons">Weapon</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#weapon">weapon</a></span></code></th>
<td class="colLast">
<div class="block">Weapon of the character</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javafx.beans.property.SimpleDoubleProperty</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#x">x</a></span></code></th>
<td class="colLast">
<div class="block">The X location</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javafx.beans.property.SimpleDoubleProperty</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#y">y</a></span></code></th>
<td class="colLast">
<div class="block">The Y location</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String,int,model.weapons.Weapon,javafx.scene.image.ImageView)">Character</a></span>&#8203;(java.lang.String&nbsp;name,
         int&nbsp;life,
         <a href="../weapons/Weapon.html" title="class in model.weapons">Weapon</a>&nbsp;weapon,
         javafx.scene.image.ImageView&nbsp;skin)</code></th>
<td class="colLast">
<div class="block">Construct a character</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDirectionView()">getDirectionView</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLife()">getLife</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getName()">getName</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>javafx.scene.image.ImageView</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSkin()">getSkin</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWalk()">getWalk</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../weapons/Weapon.html" title="class in model.weapons">Weapon</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWeapon()">getWeapon</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>javafx.beans.property.SimpleDoubleProperty</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getX()">getX</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>javafx.beans.property.SimpleDoubleProperty</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getY()">getY</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDirectionView(java.lang.String)">setDirectionView</a></span>&#8203;(java.lang.String&nbsp;directionView)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLife(int)">setLife</a></span>&#8203;(int&nbsp;life)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setName(java.lang.String)">setName</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSkin(javafx.scene.image.ImageView)">setSkin</a></span>&#8203;(javafx.scene.image.ImageView&nbsp;skin)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setWalk(boolean)">setWalk</a></span>&#8203;(boolean&nbsp;walk)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setWeapon(model.weapons.Weapon)">setWeapon</a></span>&#8203;(<a href="../weapons/Weapon.html" title="class in model.weapons">Weapon</a>&nbsp;weapon)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setX(javafx.beans.property.SimpleDoubleProperty)">setX</a></span>&#8203;(javafx.beans.property.SimpleDoubleProperty&nbsp;X)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setY(javafx.beans.property.SimpleDoubleProperty)">setY</a></span>&#8203;(javafx.beans.property.SimpleDoubleProperty&nbsp;Y)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="name">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>private&nbsp;java.lang.String name</pre>
<div class="block">Name of the character</div>
</li>
</ul>
<a id="life">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>life</h4>
<pre>private&nbsp;int life</pre>
<div class="block">Life of the character</div>
</li>
</ul>
<a id="weapon">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>weapon</h4>
<pre>private&nbsp;<a href="../weapons/Weapon.html" title="class in model.weapons">Weapon</a> weapon</pre>
<div class="block">Weapon of the character</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../weapons/Weapon.html" title="class in model.weapons"><code>Weapon</code></a></dd>
</dl>
</li>
</ul>
<a id="skin">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>skin</h4>
<pre>private&nbsp;javafx.scene.image.ImageView skin</pre>
<div class="block">The skin of the character</div>
</li>
</ul>
<a id="directionView">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>directionView</h4>
<pre>private&nbsp;java.lang.String directionView</pre>
<div class="block">The direcion view of the character
 Right by default</div>
</li>
</ul>
<a id="walk">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>walk</h4>
<pre>private&nbsp;boolean walk</pre>
<div class="block">Indicates whether the character is walking or not
 By default, he don't walk</div>
</li>
</ul>
<a id="x">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>x</h4>
<pre>private&nbsp;javafx.beans.property.SimpleDoubleProperty x</pre>
<div class="block">The X location</div>
</li>
</ul>
<a id="y">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>y</h4>
<pre>private&nbsp;javafx.beans.property.SimpleDoubleProperty y</pre>
<div class="block">The Y location</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(java.lang.String,int,model.weapons.Weapon,javafx.scene.image.ImageView)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Character</h4>
<pre>public&nbsp;Character&#8203;(java.lang.String&nbsp;name,
                 int&nbsp;life,
                 <a href="../weapons/Weapon.html" title="class in model.weapons">Weapon</a>&nbsp;weapon,
                 javafx.scene.image.ImageView&nbsp;skin)</pre>
<div class="block">Construct a character</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The name</dd>
<dd><code>life</code> - The maximum life</dd>
<dd><code>weapon</code> - The weapon</dd>
<dd><code>skin</code> - The skin (image)</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getName()</pre>
</li>
</ul>
<a id="setName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;setName&#8203;(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a id="getLife()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLife</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getLife()</pre>
</li>
</ul>
<a id="setLife(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLife</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setLife&#8203;(int&nbsp;life)</pre>
</li>
</ul>
<a id="getWeapon()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWeapon</h4>
<pre class="methodSignature">public&nbsp;<a href="../weapons/Weapon.html" title="class in model.weapons">Weapon</a>&nbsp;getWeapon()</pre>
</li>
</ul>
<a id="setWeapon(model.weapons.Weapon)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWeapon</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;setWeapon&#8203;(<a href="../weapons/Weapon.html" title="class in model.weapons">Weapon</a>&nbsp;weapon)</pre>
</li>
</ul>
<a id="getSkin()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSkin</h4>
<pre class="methodSignature">public&nbsp;javafx.scene.image.ImageView&nbsp;getSkin()</pre>
</li>
</ul>
<a id="setSkin(javafx.scene.image.ImageView)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSkin</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;setSkin&#8203;(javafx.scene.image.ImageView&nbsp;skin)</pre>
</li>
</ul>
<a id="getX()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getX</h4>
<pre class="methodSignature">public&nbsp;javafx.beans.property.SimpleDoubleProperty&nbsp;getX()</pre>
</li>
</ul>
<a id="setX(javafx.beans.property.SimpleDoubleProperty)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setX</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setX&#8203;(javafx.beans.property.SimpleDoubleProperty&nbsp;X)</pre>
</li>
</ul>
<a id="getY()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getY</h4>
<pre class="methodSignature">public&nbsp;javafx.beans.property.SimpleDoubleProperty&nbsp;getY()</pre>
</li>
</ul>
<a id="setY(javafx.beans.property.SimpleDoubleProperty)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setY</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setY&#8203;(javafx.beans.property.SimpleDoubleProperty&nbsp;Y)</pre>
</li>
</ul>
<a id="getDirectionView()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDirectionView</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getDirectionView()</pre>
</li>
</ul>
<a id="setDirectionView(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDirectionView</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDirectionView&#8203;(java.lang.String&nbsp;directionView)</pre>
</li>
</ul>
<a id="getWalk()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWalk</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;getWalk()</pre>
</li>
</ul>
<a id="setWalk(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setWalk</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setWalk&#8203;(boolean&nbsp;walk)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
